> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/api-targets/es/motores-de-busqueda/google.md).

# Google

Con Web Scraper API, puede extraer y analizar varios tipos de **Google** páginas; a continuación, se muestra una vista general de todos los scrapers compatibles y sus respectivos `fuente` valores.

<table><thead><tr><th width="260">Fuente</th><th>Descripción</th><th>Parser dedicado</th></tr></thead><tbody><tr><td><code>google_search</code></td><td>SERPs. (<a href="/pages/03d813a274c5e5b116c6674ba61771242c214413"><strong>Web</strong></a>, <a href="/pages/db7a3748b0cab3961a6a2a8008712d67773aa821"><strong>Imagen</strong></a>, <a href="/pages/45507ab010466be34980706bdae9f7ee7e6e0ec7"><strong>Noticias</strong></a><strong>,</strong> <a href="/pages/e37e5e84ee906bd2f171b3993b496830067b86d5"><strong>AI Overviews</strong></a>)</td><td>Sí.</td></tr><tr><td><code>google_ads</code></td><td>SERPs, optimizado para <a href="/pages/967df424b02571762671924da648113b9828bd0a"><strong>tasa máxima de anuncios</strong></a>.</td><td>Sí.</td></tr><tr><td><code>google_ai_mode</code></td><td><a href="/pages/468e44a7e4595f94be6a616c9ce9da2113b4488d"><strong>Modo IA de Google</strong></a>  respuestas conversacionales.</td><td>Sí.</td></tr><tr><td><code>google_lens</code></td><td><a href="/pages/06bd5c257e01a2c4afed4b6f41e210971a16ee1c"><strong>Google Lens</strong></a> servicio.</td><td>Sí.</td></tr><tr><td><code>google_maps</code></td><td><a href="/pages/38e5c3c2dd73ae6f79767507e7cdadae370be226"><strong>Búsqueda local</strong></a> servicio.</td><td>No.</td></tr><tr><td><code>google_trends_explore</code></td><td><a href="/pages/5b48d6e5d7d4393242f4b0a72d5b40cd67b9d6df"><strong>Tendencias</strong></a>.</td><td>No.</td></tr><tr><td><code>google_travel_hotels</code></td><td><a href="/pages/439f9e9c6b373cfcd9978e6e6ccd7e889a348440"><strong>Viajes: Hoteles</strong></a> servicio.</td><td>No.</td></tr><tr><td><code>google_shopping_search</code></td><td><a href="/pages/3dde041d4324d405f9b627862e173b5677245170"><strong>Búsqueda</strong></a> resultados para un término de búsqueda de su elección.</td><td>Sí.</td></tr><tr><td><code>google_shopping_product</code></td><td><a href="/pages/733a4ffee968b178f473e0aeec30245f7fda08ec"><strong>Producto</strong></a> página de un producto de un token de su elección.</td><td>Sí.</td></tr><tr><td><code>google</code></td><td>Envíe cualquier Google <a href="/pages/a5bb8849a72c6545ddda25749d266dae9927495c"><strong>URL</strong></a> desee.</td><td>Limitado a URLs de tipos específicos de <a href="/pages/8d74a769782bf279effda303e5bd46c3707491f4"><strong>páginas de Google</strong></a>.</td></tr></tbody></table>

{% hint style="info" %}
Aunque no tenemos parsers dedicados para cada fuente de Google, puede escribir sus propias instrucciones de análisis con [**Custom Parser**](/products/es/web-scraper-api/features/custom-parser.md) la función y obtener datos estructurados.
{% endhint %}

## Primeros pasos

**Cree sus credenciales de usuario de API**: Regístrese para una prueba gratuita o compre el producto en el [**panel de Oxylabs**](https://dashboard.oxylabs.io/en/registration) para crear sus credenciales de usuario de API (`USERNAME` y `PASSWORD`).

{% hint style="warning" %}
Si necesita más de un usuario de API para su cuenta, póngase en contacto con nuestro [**soporte al cliente**](mailto:support@oxylabs.io) o envíe un mensaje a nuestro soporte por chat en vivo 24/7.
{% endhint %}

### Solicitar ejemplo

{% tabs %}
{% tab title="cURL" %}

```shell
curl 'https://realtime.oxylabs.io/v1/queries' \\
--user 'USERNAME:PASSWORD' \\
-H 'Content-Type: application/json' \\
-d '{
        "source": "google_search",
        "query": "adidas",
        "geo_location": "California,United States",
        "parse": true
    }'
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
from pprint import pprint

# Structure payload.
payload = {
    'source': 'google_search',
    'query': 'adidas',
    'geo_location': 'California,United States',
    'parse': True
}

# Get response.
response = requests.request(
    'POST',
    'https://realtime.oxylabs.io/v1/queries',
    auth=('USERNAME', 'PASSWORD'),
    json=payload,
)

# Print prettified response to stdout.
pprint(response.json())
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const https = require("https");

const username = "USERNAME";
const password = "PASSWORD";
const body = {
    source: "google_search",
    query: "adidas",
    geo_location: "California,United States",
    parse: true,
};

const options = {
    hostname: "realtime.oxylabs.io",
    path: "/v1/queries",
    method: "POST",
    headers: {
        "Content-Type": "application/json",
        Authorization:
            "Basic " + Buffer.from(`${username}:${password}`).toString("base64"),
    },
};

const request = https.request(options, (response) => {
    let data = "";

    response.on("data", (chunk) => {
        data += chunk;
    });

    response.on("end", () => {
        const responseData = JSON.parse(data);
        console.log(JSON.stringify(responseData, null, 2));
    });
});

request.on("error", (error) => {
    console.error("Error:", error);
});

request.write(JSON.stringify(body));
request.end();
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$params = array(
    'source' => 'google_search',
    'query' => 'adidas',
    'geo_location' => 'California,United States',
    'parse' => true
);

$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, "https://realtime.oxylabs.io/v1/queries");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($params));
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_USERPWD, "USERNAME" . ":" . "PASSWORD");

$headers = array();
$headers[] = "Content-Type: application/json";
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

$result = curl_exec($ch);
echo $result;

if (curl_errno($ch)) {
    echo 'Error:' . curl_error($ch);
}
curl_close($ch);
```

{% endtab %}

{% tab title="C#" %}

```csharp
using System;
using System.Net.Http;
using System.Net.Http.Json;
using System.Threading.Tasks;

namespace OxyApi
{
    class Program
    {
        static async Task Main()
        {
            const string Username = "USERNAME";
            const string Password = "PASSWORD";

            var parameters = new {
                source = "google_search",
                query = "adidas",
                geo_location = "California,United States",
                parse = true
            };

            var client = new HttpClient();

            Uri baseUri = new Uri("https://realtime.oxylabs.io");
            client.BaseAddress = baseUri;

            var requestMessage = new HttpRequestMessage(HttpMethod.Post, "/v1/queries");
            requestMessage.Content = JsonContent.Create(parameters);

            var authenticationString = $"{Username}:{Password}";
            var base64EncodedAuthenticationString = Convert.ToBase64String(System.Text.Encoding.ASCII.GetBytes(authenticationString));
            requestMessage.Headers.Add("Authorization", "Basic " + base64EncodedAuthenticationString);

            var response = await client.SendAsync(requestMessage);
            var contents = await response.Content.ReadAsStringAsync();

            Console.WriteLine(contents);
        }
    }
}
```

{% endtab %}

{% tab title="Golang" %}

```go
package main

import (
	"bytes"
	"encoding/json"
	"fmt"
	"io/ioutil"
	"net/http"
)

func main() {
	const Username = "USERNAME"
	const Password = "PASSWORD"

	payload := map[string]interface{}{
		"source":       "google_search",
		"query":        "adidas",
		"geo_location": "California,United States",
		"parse":        true,
	}

	jsonValue, _ := json.Marshal(payload)

	client := &http.Client{}
	request, _ := http.NewRequest("POST",
		"https://realtime.oxylabs.io/v1/queries",
		bytes.NewBuffer(jsonValue),
	)

	request.SetBasicAuth(Username, Password)
	request.Header.Set("Content-Type", "application/json")
	response, _ := client.Do(request)

	responseText, _ := ioutil.ReadAll(response.Body)
	fmt.Println(string(responseText))
}
```

{% endtab %}

{% tab title="HTTP" %}

```http
https://realtime.oxylabs.io/v1/queries?source=google_search&query=adidas&geo_location=California%2CUnited%20States&parse=true&access_token=12345abcde
```

{% endtab %}

{% tab title="Java" %}

```java
package org.example;

import okhttp3.*;
import org.json.JSONObject;
import java.util.concurrent.TimeUnit;

public class Main implements Runnable {
    private static final String AUTHORIZATION_HEADER = "Authorization";
    public static final String USERNAME = "USERNAME";
    public static final String PASSWORD = "PASSWORD";

    public void run() {
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("source", "google_search");
        jsonObject.put("query", "adidas");
        jsonObject.put("geo_location", "California,United States");
        jsonObject.put("parse", true);

        Authenticator authenticator = (route, response) -> {
            String credential = Credentials.basic(USERNAME, PASSWORD);
            return response
                    .request()
                    .newBuilder()
                    .header(AUTHORIZATION_HEADER, credential)
                    .build();
        };

        var client = new OkHttpClient.Builder()
                .authenticator(authenticator)
                .readTimeout(180, TimeUnit.SECONDS)
                .build();

        var mediaType = MediaType.parse("application/json; charset=utf-8");
        var body = RequestBody.create(jsonObject.toString(), mediaType);
        var request = new Request.Builder()
                .url("https://realtime.oxylabs.io/v1/queries")
                .post(body)
                .build();

        try (var response = client.newCall(request).execute()) {
            if (response.body() != null) {
                try (var responseBody = response.body()) {
                    System.out.println(responseBody.string());
                }
            }
        } catch (Exception exception) {
            System.out.println("Error: " + exception.getMessage());
        }

        System.exit(0);
    }

    public static void main(String[] args) {
        new Thread(new Main()).start();
    }
}
```

{% endtab %}

{% tab title="JSON" %}

```json
{
    "source": "google_search",
    "query": "adidas",
    "geo_location": "California,United States",
    "parse": true
}
```

{% endtab %}
{% endtabs %}

{% file src="/files/9cb4c005f63bf7795a2090379252cb314bd50e5e" %}

Usamos el método de integración síncrona [**Realtime**](/products/es/web-scraper-api/integration-methods/realtime.md) método de integración en nuestros ejemplos. Si desea usar [**Proxy Endpoint**](/products/es/web-scraper-api/integration-methods/proxy-endpoint.md) o asíncrona [**Push-Pull**](/products/es/web-scraper-api/integration-methods/push-pull.md) integración, consulte la [**sección de métodos de integración**](/products/es/web-scraper-api/integration-methods.md) sección.

Opcionalmente, puede incluir parámetros adicionales como `geo_location`, `user_agent_type`, `parse`, `render` y más para personalizar su solicitud de scraping. Lea más:


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.oxylabs.io/api-targets/es/motores-de-busqueda/google.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
